> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 提现下单

> 商户批量提现下单接口，用于创建批量提现订单。

## 概述

本页说明 `POST /withdraw/open/institution/v1/pay/create/payouts` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示同一接口的机构路径版本。
* 机构侧请求需携带 `X-GatePay-On-Behalf-Of`，用于表示本次代理请求的发起方账户上下文。
* 通用签名规则请参见 [/global/api-reference/version/100/cn/common/securityAndSignature](https://docs.gate.com/global/api-reference/version/100/cn/common/securityAndSignature.md)。


## OpenAPI

````yaml global/api-reference/version/100/cn/openapi/institution/withdraw-openapi.json POST /withdraw/open/institution/v1/pay/create/payouts
openapi: 3.1.0
info:
  title: GatePay 提现与钱包 API
  version: 1.0.0
  description: >-
    基于 GatePay 提现与钱包相关文档整理的 OpenAPI 3.1
    规范。涵盖批量提现下单、提现订单查询、币种链查询、账户总额查询以及提现手续费查询等接口。
servers:
  - url: https://openplatform.gateapi.io
    description: 生产环境
security: []
paths:
  /withdraw/open/institution/v1/pay/create/payouts:
    post:
      tags:
        - withdraw
      summary: 提现下单
      description: 商户批量提现下单接口，用于创建批量提现订单。
      operationId: createWithdrawBatch
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - $ref: '#/components/parameters/X-GatePay-On-Behalf-Of'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WithdrawCreateRequest'
            examples:
              default:
                summary: 默认示例
                value:
                  batch_id: '237394559478075350'
                  withdraw_list:
                    - merchant_withdraw_id: M137394559478075550
                      currency: USDT
                      amount: '1'
                      chain: ETH
                      address: '0x1234567890abcdef'
                      memo: Payment for services-1
                      fee_type: 1
                      remark: 员工A
                    - merchant_withdraw_id: M137394559478075551
                      currency: USDT
                      amount: '0.001'
                      chain: ETH
                      address: 1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa
                      memo: Payment for services-1
                      fee_type: 0
                      remark: 员工A
                  batchRemark: 9月工资发放
      responses:
        '200':
          description: 提现下单结果
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WithdrawCreateResponse'
              examples:
                success:
                  summary: 提现下单成功
                  value:
                    status: SUCCESS
                    code: '000000'
                    errorMessage: ''
                    data:
                      batch_id: '237394559478075550'
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端ID，在 GatePay 平台申请获得
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: HMAC-SHA256签名，用于验证请求合法性
      schema:
        type: string
        example: >-
          672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 毫秒级时间戳，与服务端时间偏差不得超过30秒
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机数，用于防止重放攻击
      schema:
        type: string
        example: '3525756760'
    X-GatePay-On-Behalf-Of:
      name: X-GatePay-On-Behalf-Of
      in: header
      required: true
      schema:
        type: string
      description: >-
        必填代理归属请求头。请填写本次请求的发起方账户 ID；在机构代理商户 API 中通常填写目标子账户 ID，在机构代扣与划转接口中可填写机构账户
        ID 或子账户 ID。
  schemas:
    WithdrawCreateRequest:
      type: object
      description: 提现下单请求体。
      properties:
        batch_id:
          type: string
          description: 由商户侧生成并保证唯一，只能由大小写字符、数字、下划线组成，最大长度 32 字符。
        withdraw_list:
          type: array
          description: 提现子单列表。
          items:
            $ref: '#/components/schemas/WithdrawItem'
        channel_id:
          type: string
          description: 客户名称。
        batchRemark:
          type: string
          description: 备注。最长 200 字符。
      required:
        - batch_id
        - withdraw_list
    WithdrawCreateResponse:
      type: object
      description: 提现下单响应体。
      properties:
        status:
          type: string
          description: 接口响应结果，SUCCESS 或 FAIL。
        code:
          type: string
          description: 响应错误码。
        errorMessage:
          type: string
          description: 错误描述。
        data:
          type: object
          properties:
            batch_id:
              type: string
              description: 由商户侧生成的唯一批次 ID。
      required:
        - status
        - code
    WithdrawItem:
      type: object
      description: 提现子单详情。
      properties:
        merchant_withdraw_id:
          type: string
          description: 商户生成子单唯一 ID，只能由大小写字符、数字、下划线组成，最大长度 32 字符。
        amount:
          type: string
          description: 单笔提现金额，须大于 0。支持字符串或数字；超过 8 位小数将截断至 8 位。
        currency:
          type: string
          description: 提现币种。
        chain:
          type: string
          description: 链网络。
        address:
          type: string
          description: 提现地址。
        memo:
          type: string
          description: 链上 memo/tag。非必填；仅当传入时校验长度 ≤128。与业务备注 remark 分离，互不影响。
        fee_type:
          type: integer
          description: |-
            提现手续费的收取方式：
            *如果选择内扣，则手续费将从提现金额中收取，到账金额为提现金额扣除手续费；
            *如果选择外收，则手续费将从账户余额中扣除，到账金额即为提现金额；
            *如果选择外收主账户扣款，则子账户提现手续费从主账户余额中扣除。
            存量不传默认为内扣的方式
            类型枚举：
            0-内扣
            1-外收
            2-外收（主账户扣款）
        remark:
          type: string
          description: 备注。最长 200 字符。
      required:
        - merchant_withdraw_id
        - amount
        - currency
        - chain
        - address
        - fee_type

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.